Subject: Re: bug#24287: Process filters received stderr output, not documented

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Aug 2016 21:23:08 +0300

> From: "Paul A. Steckler" <[email-masked]>
> Date: Mon, 22 Aug 2016 13:35:25 -0400
> 
> The documentation for Process Filter Functions mentions that process
> filters receive the standard output from their associated processes. It
> does not mention that the filters also receive standard error output.

That is described in the parent section:

     It is impossible to separate the standard output and standard error
  streams of the subprocess, because Emacs normally spawns the subprocess
  inside a pseudo-TTY, and a pseudo-TTY has only one output channel.  If
  you want to keep the output to those streams separate, you should
  redirect one of them to a file—for example, by using an appropriate
  shell command.